## template<typename T, Array::Type ARRAYTYPE, int DataSize, int DataType> class osg::TemplateIndexArray

## Inheritance:

### Public Methods

TemplateIndexArray()
TemplateIndexArray(const TemplateIndexArray& ta, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
TemplateIndexArray(unsigned int no)
TemplateIndexArray(unsigned int no, T* ptr)
template<class InputIterator> TemplateIndexArray(InputIterator first, InputIterator last)
virtual Object* cloneType() const
virtual Object* clone(const CopyOp& copyop) const
virtual void accept(ArrayVisitor& av)
virtual void accept(ConstArrayVisitor& av) const
virtual void accept(unsigned int index, ValueVisitor& vv)
virtual void accept(unsigned int index, ConstValueVisitor& vv) const
virtual const GLvoid* getDataPointer() const
virtual unsigned int getTotalDataSize() const
virtual unsigned int getNumElements() const
virtual unsigned int index(unsigned int pos) const

### Protected Methods

virtual ~TemplateIndexArray()

### Inherited from IndexArray:

### Public Methods

virtual bool isSameKindAs(const Object* obj) const

### Inherited from Array:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
Type getType() const
GLint getDataSize() const
GLenum getDataType() const

### Public Members

enum Type

### Protected Fields

Type _arrayType
GLint _dataSize
GLenum _dataType

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`TemplateIndexArray()`

`TemplateIndexArray(const TemplateIndexArray& ta, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`TemplateIndexArray(unsigned int no)`

`TemplateIndexArray(unsigned int no, T* ptr)`

`template<class InputIterator> TemplateIndexArray(InputIterator first, InputIterator last)`

`virtual Object* cloneType() const`

`virtual Object* clone(const CopyOp& copyop) const`

`virtual void accept(ArrayVisitor& av)`

`virtual void accept(ConstArrayVisitor& av) const`

`virtual void accept(unsigned int index, ValueVisitor& vv)`

`virtual void accept(unsigned int index, ConstValueVisitor& vv) const`

`virtual const GLvoid* getDataPointer() const`

`virtual unsigned int getTotalDataSize() const`

`virtual unsigned int getNumElements() const`

`virtual unsigned int index(unsigned int pos) const`

`virtual ~TemplateIndexArray()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.